org.wildfly.swarm.config.undertow.application_security_domain

## Class SingleSignOnSetting<T extends SingleSignOnSetting<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.application_security_domain.SingleSignOnSetting<T>

-     public class SingleSignOnSetting<T extends SingleSignOnSetting<T>>
      extends Object

  An SSO authentication mechanism configuration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleSignOnSetting()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `clientSslContext()` Reference to the SSL context used to secure back-channel logout connection.
    `T` | `clientSslContext(String value)` Reference to the SSL context used to secure back-channel logout connection.
    `String` | `cookieName()` Name of the cookie
    `T` | `cookieName(String value)` Name of the cookie
    `Map` | `credentialReference()` The credential reference to decrypt the private key entry.
    `T` | `credentialReference(Map value)` The credential reference to decrypt the private key entry.
    `T` | `credentialReference(String key, Object value)` The credential reference to decrypt the private key entry.
    `String` | `domain()` The cookie domain that will be used.
    `T` | `domain(String value)` The cookie domain that will be used.
    `String` | `getKey()`
    `Boolean` | `httpOnly()` Set Cookie httpOnly attribute.
    `T` | `httpOnly(Boolean value)` Set Cookie httpOnly attribute.
    `String` | `keyAlias()` Alias of the private key entry used for signing and verifying back-channel logout connection.
    `T` | `keyAlias(String value)` Alias of the private key entry used for signing and verifying back-channel logout connection.
    `String` | `keyStore()` Reference to key store containing a private key entry.
    `T` | `keyStore(String value)` Reference to key store containing a private key entry.
    `String` | `path()` Cookie path.
    `T` | `path(String value)` Cookie path.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `secure()` Set Cookie secure attribute.
    `T` | `secure(Boolean value)` Set Cookie secure attribute.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SingleSignOnSetting

          public SingleSignOnSetting()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### clientSslContext

          public String clientSslContext()

      Reference to the SSL context used to secure back-channel logout connection.

    - #### clientSslContext

          public T clientSslContext(String value)

      Reference to the SSL context used to secure back-channel logout connection.

    - #### cookieName

          public String cookieName()

      Name of the cookie

    - #### cookieName

          public T cookieName(String value)

      Name of the cookie

    - #### credentialReference

          public Map credentialReference()

      The credential reference to decrypt the private key entry.

    - #### credentialReference

          public T credentialReference(Map value)

      The credential reference to decrypt the private key entry.

    - #### credentialReference

          public T credentialReference(String key,
                                       Object value)

      The credential reference to decrypt the private key entry.

    - #### domain

          public String domain()

      The cookie domain that will be used.

    - #### domain

          public T domain(String value)

      The cookie domain that will be used.

    - #### httpOnly

          public Boolean httpOnly()

      Set Cookie httpOnly attribute.

    - #### httpOnly

          public T httpOnly(Boolean value)

      Set Cookie httpOnly attribute.

    - #### keyAlias

          public String keyAlias()

      Alias of the private key entry used for signing and verifying back-channel logout connection.

    - #### keyAlias

          public T keyAlias(String value)

      Alias of the private key entry used for signing and verifying back-channel logout connection.

    - #### keyStore

          public String keyStore()

      Reference to key store containing a private key entry.

    - #### keyStore

          public T keyStore(String value)

      Reference to key store containing a private key entry.

    - #### path

          public String path()

      Cookie path.

    - #### path

          public T path(String value)

      Cookie path.

    - #### secure

          public Boolean secure()

      Set Cookie secure attribute.

    - #### secure

          public T secure(Boolean value)

      Set Cookie secure attribute.

Copyright © 2018 JBoss by Red Hat. All rights reserved.